Page MenuHomeFreeBSD

shells/ksh93: Update to 93v 2014-12-24
ClosedPublic

Authored by saper_saper.info on Feb 25 2019, 11:49 AM.

Details

Summary

Update to ksh 93v 2014-12-14
Includes patches to make it build on FreeBSD.
aarch64 is not supported due to missing sbrk(0)

Test Plan

Build ksh93 on pourdiere on supported platforms

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 23317
Build 22347: arc lint + arc unit

Event Timeline

mat added inline comments.Feb 25 2019, 8:03 PM
shells/ksh93/Makefile
15–16

Use USE_GITHUB.

cy requested changes to this revision.Feb 25 2019, 8:49 PM

Can you please rework using -U99999? See https://wiki.freebsd.org/Phabricator.

Also USE_GITHUB as Mat recommends.

This revision now requires changes to proceed.Feb 25 2019, 8:49 PM

USE_GITHUB=yes

Make portlint happy

saper_saper.info marked an inline comment as done.Mar 13 2019, 12:10 AM
saper_saper.info added inline comments.
shells/ksh93/Makefile
15–16

Using git hash of the release now.

cy requested changes to this revision.Mar 13 2019, 1:13 AM
cy added inline comments.
shells/ksh93/Makefile
28

Why not use a git tag?

e.g.,

slippy$ git tag
2017.0.0-devel
93u
93v
ksh93u
ksh93v
slippy$

commit 2f2b1b8be315df029ce83c2ccc12a16fdcf73f29 (tag: ksh93v, tag: 93v)

The tag is self documenting.

This revision now requires changes to proceed.Mar 13 2019, 1:13 AM
cy added a comment.Mar 13 2019, 1:25 AM

Attempting to test; fails to patch on the current in-tree port.

saper_saper.info marked an inline comment as done.

Merged changes to the ports tree in the meantime

Use tag name as suggested by cy@

saper_saper.info marked an inline comment as done.Apr 1 2019, 8:06 AM

All issues fixed

shells/ksh93/Makefile
28

I have changed this to use the tag as suggested, thanks!

cy added a comment.Apr 15 2019, 7:54 PM

Except for possible USES=complier:c11 for gcc-based architectures, looks good. I'll commit it once Mark and Piotr have look.

shells/ksh93/Makefile
22

We probably need USES=compiler:c11 here for gcc based platforms but since I cannot approximate that here on amd64 it's probably a good idea. I'll add linimon@ and pkubaj@ to reviewers to comment.

shells/ksh93/Makefile
22

ksh93 is written in a pretty oldschool and sometimes very interesting C ... Do you think this would help to solve the sbrk issue or is there any other reason for that?

cy added a comment.Apr 16 2019, 11:56 AM

It's not worth your time to support removal of sbrk() that has already been removed upstream long ago. Besides, att/ast are discussing releasing an alpha release this week. If they do release an alpha, it is suggested you take a copy of my ksh93-devel port and use it as a basis to simply change the tag. Ideally we would delete ksh93, then repocopy (svn copy) ksh93-devel to ksh93 and change the tag in one commit.

Yes, this builds ok on powerpc64 when compiling with GCC8. So you should set USES=compiler:c11.

cy accepted this revision.Apr 16 2019, 7:21 PM

Let's commit this. Any objections?

We can talk about how to implement the next upstream release (alpha, beta, or release) in another revision or PR.

This revision is now accepted and ready to land.Apr 16 2019, 7:21 PM

Yes, this builds ok on powerpc64 when compiling with GCC8. So you should set USES=compiler:c11.

Hi Piotr, would that require clang60 as dependency on other platforms?

I think this port should compile even with gcc 4.2 or older ....

I must admit I don't understand why we need this option for powerpc64...

cy added a comment.Apr 17 2019, 12:41 PM

I will commit this tomorrow or over the weekend so we can close the PR and move forward.

This revision was automatically updated to reflect the committed changes.
saper_saper.info added a comment.EditedApr 22 2019, 9:09 AM

Thank you @cy for taking care of this!

Now I seem to be getting a port monitor error:

Port                                            | Current version | New version
------------------------------------------------+-----------------+------------
shells/ksh93                                    | 20141224        | 93v
------------------------------------------------+-----------------+------------

Would adding this help?

PORTSCOUT=limit:^\d{8}
cy added a comment.Apr 23 2019, 12:47 PM

This is because portscout performs a simple sort on $PORTVERSION. It will spam you only once. You can ignore it.

I received an email from one of the ksh93 developers. He apologized for the version numbering mess.

We should reconsider version numbering when PR/237332 is addressed.